<template>
  <Signin>
    <div class="relative">
          <div class="flex flex-row container mt-3">
        <router-link to="/" ><i class="fa-solid fa-plane -rotate-45 mt-1 text-blue-1"></i></router-link>
        <router-link to="/" ><h6 class="ml-2px text-gray-1 font-bold">my dream place</h6></router-link>
      </div>
    <div class="w-full h-full mt-11 grid bg-white place-content-center place-items-center">
      <h1 class="font-bold text-lg">Sign in</h1>
        <form  class="w-96 p-5 ml-24" @submit.prevent="login" >
        <div class="mb-3" >
          <label class="block font-bold text-xs" for="email" >Email address</label>
          <input v-model="email" class="bg-gray-3 w-9/12 p-1"  id="email" type="email" required/>
        </div>
        <div >
          <label class="block font-bold text-xs" for="password">Password</label>
          <div class="relative ">
          <input v-model="password" class="bg-gray-3 w-9/12 p-1" id="password" type="password" required/>
        <div class="absolute right-24 top-1 text-gray-2"><i class="fa-regular fa-eye"></i></div>
        </div>
        </div>
        <div>
          <button type="submit" @click="login"
             class="bg-blue-1 w-9/12 p-1 mt-5 rounded text-white-1">
             Sign In</button>
        </div>
      </form>
    </div>
    </div>
    <!-- <div class="absolute ">
      <div class="bg-white">
        <img src="..">
      </div>
    </div> -->
  </Signin>
</template>
<script >
import { ref ,computed} from 'vue';
import { useRouter } from 'vue-router';
export default {
  setup() {
    const email = ref('');
    const password = ref('');
    const isLoggedIn = ref(false);
    const token = ref(null);
    const router = useRouter();
    const showWelcomeCard=ref(false)

    // const isFormInvalid = computed(() => {
     
    //   if(!isValidEmail || !isValidPassword){
    //     alert("invalid email or password")
    //     router.push('/')
    //   }
     
    // });

    const login = () => {
      const emailRegex = /^[\w-\.]+@([\w-]+\.)+[\w-]{2,4}$/;
      const isValidEmail = emailRegex.test(email.value);
      const isValidPassword = password.value.length >= 6;
      if (isValidEmail && isValidPassword) {
        const simulatedToken = Math.random().toString(36).substr(2);
        localStorage.setItem('token', simulatedToken);
        isLoggedIn.value = true;
        token.value = simulatedToken;
        setTimeout(() => {
          localStorage.removeItem('token');
          isLoggedIn.value = false;
        }, 600000);
        router.push('/');
      } else {
        alert('Invalid email or password');
      }
    };
    const showWelcome = () => {
      showWelcomeCard.value = true
    };
    const hideWelcome=()=>{
      showWelcomeCard.value=false
    } 
    return {
      email,
      password,
      isLoggedIn,
      token,
      login,
      showWelcomeCard,
      hideWelcome,
      showWelcome
    };
  },
};
    ;
</script>
<style>
</style>
